import { Functional } from '../../../../../Class/Functional';
import { Done } from '../../../../../Class/Functional/Done';
import { System } from '../../../../../system';
export type I = {
    a: string;
};
export type O = {
    b: string;
};
export default class EncodeBase64 extends Functional<I, O> {
    constructor(system: System);
    f({ a }: I, done: Done<O>): void;
}
